<?php
class AjaxAction extends Action{
	// 区服列表
	public function myqufu(){
		// 获取游戏
		$yx = INT("yx");
		if(!$yx || !$_SESSION["ID"]) exit;
		// 查询数据
		$Data = M("YxRz");
		$qfList = $Data->field("qf_id id,qf_name name")->join("yeyou_qf ON qf_id = rz_qf")
			->where("qf_kf > 0 AND qf_type = 1 AND rz_yx = $yx AND rz_zh = ".$_SESSION["ID"])
			->order("rz_date DESC")->select();
		// 输出数据
		echo(json_encode($qfList));
		exit;
	}
	// 计算金额
	public function jisuan(){
		// 获取参数
		$yx = INT("yx");
		$fs = INT("fs");
		$money = INT("money");
		// 获取金额
		import("@.iGuoji.Webgame");
		$Webgame = new Webgame();
		$rel = $Webgame->jisuan($yx,$fs,$money);
		// 输出结果
		echo($rel);
		exit;
	}
	// 获取新手卡
	public function card(){
		// 获取参数
		$op = INT("op");
		$qf = INT("qf");
		// 没有参数
		if(!$op || !$qf){
			echo(json_encode(array("rel"=>"请刷新页面后重试!")));
			exit;
		}
		// 没有登录
		if(!$_SESSION["ZH"]){
			echo(json_encode(array("rel"=>"您还没有登录!")));
			exit;
		}
		// 查询区服
		$Data = M("Qf");
		$qfObj = $Data->where("qf_id = $qf")->find();
		if(!$qfObj || !$qfObj["qf_kf"]){
			echo(json_encode(array("rel"=>"该服暂时出现异常!")));
			exit;
		}
		// 卡号接口
		import("@.iGuoji.Webgame");
		$Webgame = new Webgame();
		$rel = $Webgame->card($op,$qfObj["qf_kf"],$_SESSION["ZH"]);
		// 输出卡号
		echo(json_encode(array("rel"=>$rel)));
		exit;
	}
}
?>